This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456418 - reboot man page missing kexec interaction info
reboot man page missing kexec interaction info
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 09:53 EDT by Tom Horsley
Modified: 2014-03-16 23:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 15:27:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2008-07-23 09:53:50 EDT
Description of problem:

The reboot man page is missing any reference to kexec. (And the kexec man
page is missing any reference to reboot), yet kexec and reboot apparently
do interact in highly beneficial ways it would be really good to have
documented somewhere. Vague hints in google searches and experimentation
eventually led to the discovery that the sequence:

kexec -l ....
reboot

is the best way to cleanly shutdown a system and boot up a different (or the
same) kernel from scratch without going all the way through the BIOS boot
sequence.

Since this is radically different behavior than the normal reboot action,
it seems like it ought to be documented in the reboot man page.

Once the reboot man page is updated, it wouldn't hurt anything to add
a see also in the kexec man page pointing to reboot.

Version-Release number of selected component (if applicable):

sysvinit-2.86-18.x86_64 is the package that owns the reboot man page,
so that's what led me to this bug category.
Comment 1 Bill Nottingham 2008-07-23 10:07:00 EDT
Using kexec

1) requires a relocatable kernel
2) requires the kexec tools
3) requires that you have hardware that inits correctly from a warm boot

Ergo, I'm not sure that having it as the default mechanism is good.
Comment 2 Tom Horsley 2008-07-23 10:28:32 EDT
I didn't say anything about making it the default for reboot, I just said
that it would be nice if the way kexec and reboot already do interact was
actually documented somewhere :-).
Comment 3 Bug Zapper 2008-11-26 06:02:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bill Nottingham 2008-12-08 15:27:18 EST
Thinking about this again (sorry about the delay) I don't think the reboot man page is the best place for this - this is probably better handled in a HOWTO or similar; especially since we don't recommend kexec for the normal reboot case.

Note You need to log in before you can comment on or make changes to this bug.